Tenant/Product

Get available product permissions by user

Fetches products with their buckets where the target user is missing project_type permissions. Each product includes a list of buckets (project_types) where the user has no permissions yet, with the available permissions the caller can grant.

GET
/api/v2/products/available-permissions-by-user/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

The target user ID

Query Parameters

limit?integer

Maximum number of products to return

Default30
offset?integer

Pagination offset

Default0
productId?string

Filter by a specific product UUID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/products/available-permissions-by-user/1?limit=30&offset=0&productId=01936f1a-5b5a-7000-8000-000000000001"
{  "products": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "b2core",      "buckets": [        {          "projectTypeId": 3,          "name": "b2core-web",          "alias": "b2core-web_alias",          "platform": "web",          "availablePermissions": [            "Viewer"          ]        }      ],      "actions": [        "ProjectTypeUserDelete"      ]    }  ],  "pagination": {    "maxCount": 5  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}